From 9f05833051456c921bf1871eb73d7eae5a80ede7 Mon Sep 17 00:00:00 2001
From: jomenxiao <jomenxiao@gmail.com>
Date: Wed, 17 May 2017 14:39:44 +0800
Subject: [PATCH] avoid cross device

avoid dir nil.
if dir is nil, writeAtomic creatae tempfile in system temporary dir and cross device
---
 ioutil2/ioutil.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/ioutil2/ioutil.go b/ioutil2/ioutil.go
index c99c987..35c0ad3 100644
--- a/ioutil2/ioutil.go
+++ b/ioutil2/ioutil.go
@@ -13,7 +13,7 @@ import (
 
 // Write file to temp and atomically move when everything else succeeds.
 func WriteFileAtomic(filename string, data []byte, perm os.FileMode) error {
-	dir, name := path.Split(filename)
+	dir, name := path.Dir(filename), path.Base(filename) 
 	f, err := ioutil.TempFile(dir, name)
 	if err != nil {
 		return err
